# Generated by Django 3.0.6 on 2020-05-31 12:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Commodity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
                ('protein', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('fat', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('carbs', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('fiber', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('sodium', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('cals', models.PositiveIntegerField(null=True)),
                ('veg', models.CharField(default=None, max_length=2, null=True)),
                ('verified', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Unit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('abbrevation', models.CharField(max_length=10)),
                ('type', models.CharField(default='OTHER', max_length=6)),
                ('unit_system', models.CharField(choices=[('IMPERIAL', 'imperial'), ('METRIC', 'metric')], default='METRIC', max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='Recipe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('last_mod', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(max_length=255)),
                ('intro', models.TextField(max_length=500)),
                ('steps', models.TextField(max_length=1000)),
                ('notes', models.TextField(max_length=500)),
                ('prep_time', models.PositiveIntegerField(null=True)),
                ('cooking_time', models.PositiveIntegerField(null=True)),
                ('serves', models.PositiveIntegerField(null=True)),
                ('difficulty', models.CharField(choices=[('EASY', 'Easy'), ('AVERAGE', 'Average'), ('DIFFICULT', 'Difficult')], default='AVERAGE', max_length=9)),
                ('protein', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('fat', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('carbs', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('fiber', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('sodium', models.DecimalField(decimal_places=2, max_digits=5, null=True)),
                ('cals', models.PositiveIntegerField(null=True)),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='author', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, verbose_name='Email Address')),
                ('avatar', models.CharField(max_length=64, null=True)),
                ('sex', models.CharField(choices=[('FEMALE', 'female'), ('MALE', 'male')], default='FEMALE', max_length=6, null=True)),
                ('height', models.FloatField(null=True)),
                ('weight', models.FloatField(null=True)),
                ('waist', models.FloatField(null=True)),
                ('chest', models.FloatField(null=True)),
                ('hips', models.FloatField(null=True)),
                ('target_weight', models.FloatField(null=True)),
                ('target_calories', models.IntegerField(null=True)),
                ('unit_system', models.CharField(choices=[('IMPERIAL', 'imperial'), ('METRIC', 'metric')], default='METRIC', max_length=8)),
                ('activity', models.CharField(choices=[('SEDENTARY', 'Little or no exercise, desk job'), ('LIGHTLY_ACTIVE', 'Light exercise/sports 1-3 days/week'), ('MODERATELY_ACTIVE', 'Moderate exercise/sports 6-7 days'), ('VERY_ACTIVE', 'Hard exercise every day, or 2 xs/day'), ('EXTRA_ACTIVE', 'Hard exercise 2 or more times per day')], default='LIGHTLY_ACTIVE', max_length=17)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='profile', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Ingredient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.FloatField(default=0)),
                ('notes', models.CharField(max_length=64)),
                ('commodity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='commodity', to='recipes.Commodity')),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recipe', to='recipes.Recipe')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit', to='recipes.Unit')),
            ],
        ),
        migrations.CreateModel(
            name='Conversion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('multiplier', models.FloatField(default=1)),
                ('from_unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='from_unit', to='recipes.Unit')),
                ('to_unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='to_unit', to='recipes.Unit')),
            ],
        ),
    ]
